Summary:	The basic directory layout for a Linux system
Name:		filesystem
Version:	2.1.9
Release:	35
License:	Public Domain
Group:		System/Base
Url:		http://www.rosalinux.ru/
Source0:	%{name}.rpmlintrc
Requires(pre):	bash
Requires(pre):	coreutils

%description
The filesystem package is one of the basic packages that is installed on
a ROSA Linux system. Filesystem  contains the basic directory layout
for a Linux operating system, including the correct permissions for the
directories.

%files
/bin
/boot
/etc
/home
/initrd
/lib
%if %{_lib} != lib
/%{_lib}
%endif
%dir /media
%dir /mnt
%dir /opt
/proc
/sys
%attr(750,root,root) /root
/sbin
%attr(1777,root,root) /tmp
%{_prefix}
%dir /run
%dir /run/lock
%dir /var
/var/db
/var/lib
/var/local
/var/empty
/var/cache
/var/log
/var/mail
/var/nis
/var/opt
/var/preserve
/var/run
/var/lock
%dir /var/spool
%attr(0755,root,daemon) %dir /var/spool/lpd
%attr(775,root,mail) /var/spool/mail
%attr(1777,root,root) /var/tmp
/var/yp

%pre
if [ -d /var/run ]; then
rm -rf /var/run
fi
if [ -d /var/lock ]; then
rm -rf /var/lock
fi

#----------------------------------------------------------------------------

%install
cd %{buildroot}
mkdir -p mnt media bin boot
mkdir -p opt proc root sbin sys tmp
mkdir -p home initrd
mkdir -p lib/modules

mkdir -p %{buildroot}%{_sysconfdir}/{profile.d,skel,security,ssl,sysconfig,default}
mkdir -p %{_lib}

mkdir -p %{buildroot}%{_prefix}/{etc,src,lib}
mkdir -p %{buildroot}/{%{_bindir},%{_libdir},%{_includedir},%{_sbindir},%{_datadir}}
mkdir -p %{buildroot}/%{_datadir}/{misc,pixmaps,applications,dict,doc,empty,fonts}
mkdir -p %{buildroot}/%{_datadir}/color/{icc,cmms,settings}

# man
mkdir -p %{buildroot}/%{_mandir}/man{1,2,3,4,5,6,7,8,9,n}
mkdir -p %{buildroot}/%{_infodir}
# games
mkdir -p %{buildroot}/{%{_gamesbindir},%{_gamesdatadir}}
mkdir -p %{buildroot}/{%{_libdir},%{_prefix}/lib}/games

mkdir -p %{buildroot}/%{_libdir}/gcc-lib
mkdir -p %{buildroot}/%{_prefix}/lib/gcc-lib

mkdir -p usr/local/{bin,doc,etc,games,lib,%{_lib},sbin,src,libexec,include}
mkdir -p usr/local/share/{man/man{1,2,3,4,5,6,7,8,9,n},info}

mkdir -p var/{local,log,nis,preserve,lib,empty}
mkdir -p var/spool/{mail,lpd}
mkdir -p var/lib/{games,misc}
mkdir -p var/{tmp,db,cache/man,opt,games,yp}
mkdir -p run/lock

ln -snf ../run var/run
ln -snf ../run/lock var/lock

ln -snf ../var/tmp usr/tmp
ln -snf spool/mail var/mail


%changelog
* Mon Sep 01 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.1.9-35
+ Revision: cbaa3ad
- Try to restore pre script because of wrong /var/lock coming from somewhere


